#ifndef __RANGE_SENSOR_CLASS_H
#define __RANGE_SENSOR_CLASS_H

/* Includes ------------------------------------------------------------------*/
#include <ComponentObject.h>

/* Classes  ------------------------------------------------------------------*/
/** An abstract class for range sensors
 */
class RangeSensor : public ComponentObject
{
 public:
    /**
     * @brief       Get current range [mm]
     * @param[out]  piData Pointer to where to store range to
     * @return      0 in case of success, an error code otherwise
     */
    virtual int GetDistance(uint32_t *piData) = 0;
};

#endif /* __RANGE_SENSOR_CLASS_H */